// ZMessage.h: interface for the ZMessage class.
//
//////////////////////////////////////////////////////////////////////

#if !defined ZMESSAGE_H
#define ZMESSAGE_H


enum zmsg_errors {ZMSG_WSASTARTUP_ERR,ZMSG_HOSTNAME_ERR,ZMSG_CONNECT_ERR,ZMSG_SERVER_ERR,ZMSG_NO_ERR};

//max msg length
#define ZMSG_MAX_LEN 1000 

class ZMessage{

public:
        //set sender, recipient, subject and message
	void SetParams(const char* from,const char* to,const char* subject,const char* msg);
	// set smtp server [and port(default=25)]
	void SetServer(const char* server,UINT port);
	// attach a file(only 1!) [yet]
	void Attach(const char* filename);
        //send  message
	zmsg_errors Send();
	
	ZMessage();
	virtual ~ZMessage();

protected:
	
	char rcpt[256];
	char from[256];
	char subject[256];
	char xmailer[256];
	char smtpserver[256];
	char message[ZMSG_MAX_LEN];
	char attachedFileName[MAX_PATH];
	BOOL bAttachment;
	UINT port;
	long base64encode(char* buffer,int size);
};

#endif // !defined ZMESSAGE_H
